#!/usr/bin/env python

#from mod_python import apache
from ofss import *

def handler(req, xml): 
	xml.data("<fss:request>index</fss:request>\n")
	xml.data("<fss:title>Fast SMB Search</fss:title>\n")
	xml.data("<fss:header/>\n")
	xml.push("fss:fastsearch", "id='searchform' method='get' action='fastsearch.py'")
	xml.data("<p>Enter one or more words, separated by space.</p>\n")
	xml.push("div", "style='padding: 5px;'")
	
	xml.data("""<fss:what />\n""")
	xml.data("""
	Search in: &#160;
	<select name='restype'>
	<option value='all' selected='selected'>All files</option>
	<option value='film'>Films</option>
	<option value='clip'>Clips</option>
	<option value='music'>Music</option>

	<option value='doc'>Documents</option>
	<option value='picture'>Pictures</option>
	<option value='unix'>Unix files</option>
	<option value='cdimage'>CD Images</option>
	<option value='archive'>Archives</option>
	<option value='winexe'>Win exe</option>
	<option value='dir'>Dirs</option>
	</select>""")
	xml.pop("div")
	xml.push("div")
	xml.data("<input type='checkbox' name='pathmatch' value='1'/>")
	xml.data("allow path traverse")
	xml.data("<input type='checkbox' name='status' value='value'/>")
	xml.data("online only")
	xml.pop("fss:fastsearch")
	xml.data("""<p>
	<!--
	<a href="index.py?lang=en">[En]</a> <a href="index.py?lang=ru">[Ru]</a>
	<a href="advanced.py" onclick="return do_advanced();">Advanced search</a>
	<a href="shownet.py">List of Workgroups</a>
	<a href="stat.py">Network statistics</a>
	-->

	<a href="hostlist.py">Server list</a>
	<a href="serverstat.py">Server statistics</a>
	</p>
	""")
